from django.db import models

from sicurezza.models import *
from utenti.models import *

# Create your models here.
class Note(models.Model):
  soggetto = models.CharField(db_column='soggetto',max_length=128)
  oggetto = models.TextField(db_column='oggetto')
  timestamp = models.DateTimeField(db_column='timestamp')
  livello = models.ForeignKey(SecurityLevel,db_column='livello',on_delete=models.CASCADE)
  enabled = models.BooleanField(db_column='enabled')
  tobedeleted = models.BooleanField(db_column='tobedeleted')
  class Meta:
    ordering = ['id']
    db_table = 'note'
    managed = False
